# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

# This is your preferences dialog.
#
# Define your preferences in
# data/glib-2.0/schemas/net.launchpad.ramdisk.gschema.xml
# See http://developer.gnome.org/gio/stable/GSettings.html for more info.

from gi.repository import Gio # pylint: disable=E0611

import locale
from locale import gettext as _
locale.bindtextdomain('ramdisk', '/opt/extras.ubuntu.com/ramdisk/share/locale')
locale.textdomain('ramdisk')

import logging
logger = logging.getLogger('ramdisk')

from ramdisk_lib.PreferencesDialog import PreferencesDialog

class PreferencesRamdiskDialog(PreferencesDialog):
    __gtype_name__ = "PreferencesRamdiskDialog"

    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the preferences dialog"""
        super(PreferencesRamdiskDialog, self).finish_initializing(builder)

        # Bind each preference widget to gsettings
        settings = Gio.Settings("net.launchpad.ramdisk")
        widget = self.builder.get_object('example_entry')
        settings.bind("example", widget, "text", Gio.SettingsBindFlags.DEFAULT)

        # Code for other initialization actions should be added here.
