# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE
import os, sys
import subprocess
import locale
from locale import gettext as _
locale.bindtextdomain('ramdisk', '/opt/extras.ubuntu.com/ramdisk/share/locale')
locale.textdomain('ramdisk')

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('ramdisk')

from ramdisk_lib import Window
from ramdisk.AboutRamdiskDialog import AboutRamdiskDialog
from ramdisk.PreferencesRamdiskDialog import PreferencesRamdiskDialog

# See ramdisk_lib.Window.py for more details about how this class works
class RamdiskWindow(Window):
    __gtype_name__ = "RamdiskWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(RamdiskWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutRamdiskDialog
        self.PreferencesDialog = PreferencesRamdiskDialog

        # Code for other initialization actions should be added here.


    def on_create_clicked(self, widget):
      	os.system('/opt/extras.ubuntu.com/ramdisk/share/ramdisk/scripts/create.sh')
      	
      	
    def on_mount_clicked(self, widget):
        os.system('/opt/extras.ubuntu.com/ramdisk/share/ramdisk/scripts/mount.sh')
      	
      	
    def on_unmount_clicked(self, widget):
      	os.system('/opt/extras.ubuntu.com/ramdisk/share/ramdisk/scripts/unmount.sh')

        
    def on_open_clicked(self, widget):
      	os.system('exec nautilus ~/Ramdisk &')   
      	
    def on_backup_clicked(self, widget):
      	os.system('/opt/extras.ubuntu.com/ramdisk/share/ramdisk/scripts/backup.sh') 
      	self.writetest = self.builder.get_object("textview1")
        buffer = self.writetest.get_buffer()
        result = subprocess.check_output("exec ls ~/Ramdisk_backup | cut -d. -f1; exit 0", stderr=subprocess.STDOUT, shell=True)         
        buffer.set_text(result)   	
      	
    def on_restore_clicked(self, widget):
      	os.system('/opt/extras.ubuntu.com/ramdisk/share/ramdisk/scripts/restore.sh')  
      	
    def on_openbackup_clicked(self, widget):
      	os.system('exec nautilus ~/Ramdisk_backup &')   
      	
    def on_info_clicked(self, widget):
        self.writetest = self.builder.get_object("textview1")
        buffer = self.writetest.get_buffer()
        result = subprocess.check_output("/opt/extras.ubuntu.com/ramdisk/share/ramdisk/scripts/info.sh; exit 0", stderr=subprocess.STDOUT, shell=True)         
        buffer.set_text(result)
    
    def on_listbackup_clicked(self, widget):
        self.writetest = self.builder.get_object("textview1")
        buffer = self.writetest.get_buffer()
        result = subprocess.check_output("exec ls ~/Ramdisk_backup | cut -d. -f1; exit 0", stderr=subprocess.STDOUT, shell=True)         
        buffer.set_text(result)      	      	
      	  	      	

    def on_freeram_clicked(self, widget):
        os.system('gksudo freeramdisk /dev/ram0')    	
      	  	      	
