# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

import optparse

import locale
from locale import gettext as _
locale.bindtextdomain('ramdisk', '/opt/extras.ubuntu.com/ramdisk/share/locale')
locale.textdomain('ramdisk')

from gi.repository import Gtk # pylint: disable=E0611

from ramdisk import RamdiskWindow

from ramdisk_lib import set_up_logging, get_version

def parse_options():
    """Support for command line options"""
    parser = optparse.OptionParser(version="%%prog %s" % get_version())
    parser.add_option(
        "-v", "--verbose", action="count", dest="verbose",
        help=_("Show debug messages (-vv debugs ramdisk_lib also)"))
    (options, args) = parser.parse_args()

    set_up_logging(options)

def main():
    'constructor for your class instances'
    parse_options()

    # Run the application.    
    window = RamdiskWindow.RamdiskWindow()
    window.show()
    Gtk.main()
